/*
 * jobd.h - JOBs manager daemon header file
 *
 * Author: Guillaume Thouvenin <guillaume.thouvenin@bull.net>
 */

#ifndef __JOBD_H
#define __JOBD_H

#include <sys/types.h>
#include <syslog.h>

#define ADD_REQ         1
#define REMOVE_REQ      2
#define GETINFO_REQ     3
#define QUIT_REQ        4

// maximum length for security context string
#define buffer_size 500

// number of jobs one process can belong
#define MAX_GROUPS_PER_RULE 50


//#define DEBUG_JOBD // for debugging.


#define JOBD_SK_PATH	"/tmp/sock_jobd"
#define JOBD_EXCH_PATH	"/tmp/sock_exch_jobd"
#define CONFIG_FILE_PATH "/etc/elsa_classification_rules.conf"

/* message used for local interprocess communication */
struct jobd_msg {
	int req;		/* request to be treated */
	pid_t pid;		/* process ID */
	unsigned int jid;	/* jobs identifier */
};


#endif /* __JOBD_H */
